MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028090Open CASCADE[OCCT] OCCT:Configurationpublic2016-11-11 13:122018-06-29 21:19
Reporterssv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0028090: Configuration - DRAWHOME environment variable missing in CMake
DescriptionThere is a problem when building with CMake and using Visual Studio to launch Draw. Generally, it works. However, it is not possible to run DF Browser (DFBrowse command). The output is as follows (Windows 7):

> can't read "env(DRAWHOME)": no such variable

So it is necessary to specify this variable manually in IDE settings after each reconfiguration. I guess, this can be easily fixed in CMake configuration files.
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon dfb_screen.png (130,241 bytes) 2018-03-15 12:16

- Relationships

-  Notes
(0060500)
abv (manager)
2016-11-17 16:53

Another solution could be to change DFBrowse to not use DRAWHOME variable any more
(0074495)
git (administrator)
2018-03-15 12:14

Branch CR28090 has been created by apn.

SHA-1: 1f9bef604dcc0abb4777d2ee632d7f0fbd0ca9bc


Detailed log of new commits:

Author: apn
Date: Thu Mar 15 12:12:10 2018 +0300

    0028090: Configuration - DRAWHOME environment variable missing in CMake
    
    Replace variable DRAWHOME by CSF_OCCTResourcePath for successfully running DFBrowse command in Draw launched from Visual Studio.
    Added missed icons of folders, attributes and named shapes used in DFOpenImage command in src\DrawResources\dftree.tcl.
(0074496)
apn (administrator)
2018-03-15 12:16

Dear abv, could you please review CR28090.
(0074680)
abv (manager)
2018-03-19 19:52

No remarks, please integrate
(0074865)
git (administrator)
2018-03-24 20:01

Branch CR28090 has been deleted by kgv.

SHA-1: 1f9bef604dcc0abb4777d2ee632d7f0fbd0ca9bc

- Related Changesets
occt: master 3c9f082b
Timestamp: 2018-03-15 09:12:10
Author: apn
Committer: bugmaster
Details ] Diff ]
0028090: Configuration - DRAWHOME environment variable missing in CMake

Replace variable DRAWHOME by CSF_OCCTResourcePath for successfully running DFBrowse command in Draw launched from Visual Studio.
Added missed icons of folders, attributes and named shapes used in DFOpenImage command in src\DrawResources\dftree.tcl.
add - src/DrawResources/dfb_attribns.gif Diff ] File ]
add - src/DrawResources/dfb_attribute.gif Diff ] File ]
add - src/DrawResources/dfb_folder.gif Diff ] File ]
mod - src/DrawResources/dftree.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-11 13:12 ssv New Issue
2016-11-11 13:12 ssv Assigned To => bugmaster
2016-11-11 13:12 ssv Summary DRAWHOME environment variable => DRAWHOME environment variable missing in CMake
2016-11-17 16:53 abv Note Added: 0060500
2017-04-20 10:24 bugmaster Assigned To bugmaster => ski
2017-04-20 10:24 bugmaster Assigned To ski => apn
2017-07-24 10:30 bugmaster Status new => feedback
2017-08-25 15:25 apv Test case number => Not required
2017-08-27 11:09 bugmaster Summary DRAWHOME environment variable missing in CMake => Configuration - DRAWHOME environment variable missing in CMake
2017-08-29 18:26 apn Target Version 7.2.0 => 7.3.0
2018-03-15 12:14 git Note Added: 0074495
2018-03-15 12:14 apn File Added: dfb_screen.png
2018-03-15 12:15 apn File Deleted: dfb_screen.png
2018-03-15 12:16 apn File Added: dfb_screen.png
2018-03-15 12:16 apn Note Added: 0074496
2018-03-15 12:16 apn Assigned To apn => abv
2018-03-15 12:16 apn Status feedback => resolved
2018-03-19 19:52 abv Note Added: 0074680
2018-03-19 19:52 abv Assigned To abv => bugmaster
2018-03-19 19:52 abv Status resolved => reviewed
2018-03-20 12:12 bugmaster Status reviewed => tested
2018-03-24 11:51 bugmaster Changeset attached => occt master 3c9f082b
2018-03-24 11:51 bugmaster Status tested => verified
2018-03-24 11:51 bugmaster Resolution open => fixed
2018-03-24 20:01 git Note Added: 0074865
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker